import {FC} from "react";
import {Image, View} from "@tarojs/components";
import illness from '@/static/img/illness.png'
import profession from '@/static/img/profession.png'
import health from '@/static/img/health.png'
import article from '@/static/img/article.png'
import Taro from "@tarojs/taro";

const Feature: FC = () => {
  const list = [
    {url: '/pages/preview/brand/list/list', image: article, text: '品牌'},
    {url: '/pages/preview/health/health', image: health, text: '健康管理'},
    {url: '/pages/preview/profession/profession', image: profession, text: '专业技能'},
    {url: '', image: illness, text: '疾病知识'},
  ]

  function jump(url) {
    Taro.navigateTo({url})
  }

  return (
    <View className='flex justify-around mt-4'>
      {
        list.map(d => <View className='text-center' onClick={() => jump(d.url)}>
          <Image src={d.image} style={{width: '40px'}} mode='widthFix'/>
          <View className='mt-1 text-dark font-26 mt-1'>{d.text}</View>
        </View>)
      }
    </View>
  )
}

export default Feature
